Bug 1643760 - There is a Segmentation fault at Sass::Eval::operator in libsass3.5-stable.
Summary: There is a Segmentation fault at Sass::Eval::operator in libsass3.5-stable.
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libsass   
(Show other bugs)
Version: rawhide
Hardware: All All
unspecified
urgent
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-28 13:14 UTC by shuitao gan
Modified: 2018-11-14 02:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
./sassc POC1 (377 bytes, application/x-rar)
2018-11-14 02:54 UTC, shuitao gan
no flags Details

Description shuitao gan 2018-10-28 13:14:18 UTC
version: libsass3.5-stable
Summary: 

There is a Segmentation fault at Sass::Eval::operator in libsass3.5-stable. 



$./sassc POC1
Segmentation fault

The GDB debugging information is as follow


(gdb) set args POC1
(gdb) r

Program received signal SIGSEGV, Segmentation fault.
0x00000000004a0d23 in Sass::Eval::operator()(Sass::Binary_Expression*) ()

...

Comment 1 Leonardo Taccari 2018-11-13 10:32:21 UTC
Hello shuitao,
is this the same problem of:

 https://bugzilla.redhat.com/show_bug.cgi?id=1482397

(and CVE-2017-12964)?


Thanks!

Comment 2 Henri Salo 2018-11-13 18:59:02 UTC
Please attach POC1 to this issue report, thank you.

Comment 3 shuitao gan 2018-11-14 02:54:09 UTC
It's triggered in latest version.

Comment 4 shuitao gan 2018-11-14 02:54 UTC
Created attachment 1505523 [details]
./sassc POC1


Note You need to log in before you can comment on or make changes to this bug.